from __future__ import print_function

from sos.plugins import RedHatPlugin
from sos.policies.redhat import RedHatPolicy, OS_RELEASE
import os

class FusionOSPolicy(RedHatPolicy):

    distro = "FusionOS"
    vendor = "FusionOS"
    vendor_url = "https://www.xfusion.com/"

    def __init__(self, sysroot=None):
        super(FusionOSPolicy, self).__init__(sysroot=sysroot)

    @classmethod
    def check(cls, remote=''):
        """This method checks to see if we are running on FusionOS. It returns
        True or False."""
        if remote:
            return cls.distro in remote
        return os.path.isfile('/etc/FusionOS-release')

    def FusionOS_version(self):
       pkg = self.pkg_by_name("FusionOS-release") or \
            self.all_pkgs_by_name_regex("FusionOS-release-.*")[-1]
       return int(pkg["version"])
